org.apache.ignite.internal.binary

## Enum BinaryWriteMode

- java.lang.Object
- - java.lang.Enum<BinaryWriteMode>
  - - org.apache.ignite.internal.binary.BinaryWriteMode

All Implemented Interfaces:
  Serializable, Comparable<BinaryWriteMode>

    public enum BinaryWriteMode
    extends Enum<BinaryWriteMode>

Various write modes for binary objects.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BINARY`
`BINARY_ENUM` Binary enum.
`BINARY_OBJ`
`BOOLEAN`
`BOOLEAN_ARR`
`BYTE`
`BYTE_ARR`
`CHAR`
`CHAR_ARR`
`CLASS`
`COL`
`DATE`
`DATE_ARR`
`DECIMAL`
`DECIMAL_ARR`
`DOUBLE`
`DOUBLE_ARR`
`ENUM`
`ENUM_ARR`
`EXCLUSION`
`FLOAT`
`FLOAT_ARR`
`INT`
`INT_ARR`
`LONG`
`LONG_ARR`
`MAP`
`OBJECT`
`OBJECT_ARR`
`OPTIMIZED`
`P_BOOLEAN` Primitive boolean.
`P_BYTE` Primitive byte.
`P_CHAR` Primitive char.
`P_DOUBLE` Primitive int.
`P_FLOAT` Primitive float.
`P_INT` Primitive int.
`P_LONG` Primitive long.
`P_SHORT` Primitive short.
`PROXY`
`SHORT`
`SHORT_ARR`
`STRING`
`STRING_ARR`
`TIME`
`TIME_ARR`
`TIMESTAMP`
`TIMESTAMP_ARR`
`UUID`
`UUID_ARR`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `typeId()`
`static BinaryWriteMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BinaryWriteMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### P_BYTE

    public static final BinaryWriteMode P_BYTE

Primitive byte.

#### P_BOOLEAN

    public static final BinaryWriteMode P_BOOLEAN

Primitive boolean.

#### P_SHORT

    public static final BinaryWriteMode P_SHORT

Primitive short.

#### P_CHAR

    public static final BinaryWriteMode P_CHAR

Primitive char.

#### P_INT

    public static final BinaryWriteMode P_INT

Primitive int.

#### P_LONG

    public static final BinaryWriteMode P_LONG

Primitive long.

#### P_FLOAT

    public static final BinaryWriteMode P_FLOAT

Primitive float.

#### P_DOUBLE

    public static final BinaryWriteMode P_DOUBLE

Primitive int.

#### BYTE

    public static final BinaryWriteMode BYTE

#### SHORT

    public static final BinaryWriteMode SHORT

#### INT

    public static final BinaryWriteMode INT

#### LONG

    public static final BinaryWriteMode LONG

#### FLOAT

    public static final BinaryWriteMode FLOAT

#### DOUBLE

    public static final BinaryWriteMode DOUBLE

#### CHAR

    public static final BinaryWriteMode CHAR

#### BOOLEAN

    public static final BinaryWriteMode BOOLEAN

#### DECIMAL

    public static final BinaryWriteMode DECIMAL

#### STRING

    public static final BinaryWriteMode STRING

#### UUID

    public static final BinaryWriteMode UUID

#### DATE

    public static final BinaryWriteMode DATE

#### TIMESTAMP

    public static final BinaryWriteMode TIMESTAMP

#### TIME

    public static final BinaryWriteMode TIME

#### BYTE_ARR

    public static final BinaryWriteMode BYTE_ARR

#### SHORT_ARR

    public static final BinaryWriteMode SHORT_ARR

#### INT_ARR

    public static final BinaryWriteMode INT_ARR

#### LONG_ARR

    public static final BinaryWriteMode LONG_ARR

#### FLOAT_ARR

    public static final BinaryWriteMode FLOAT_ARR

#### DOUBLE_ARR

    public static final BinaryWriteMode DOUBLE_ARR

#### CHAR_ARR

    public static final BinaryWriteMode CHAR_ARR

#### BOOLEAN_ARR

    public static final BinaryWriteMode BOOLEAN_ARR

#### DECIMAL_ARR

    public static final BinaryWriteMode DECIMAL_ARR

#### STRING_ARR

    public static final BinaryWriteMode STRING_ARR

#### UUID_ARR

    public static final BinaryWriteMode UUID_ARR

#### DATE_ARR

    public static final BinaryWriteMode DATE_ARR

#### TIMESTAMP_ARR

    public static final BinaryWriteMode TIMESTAMP_ARR

#### TIME_ARR

    public static final BinaryWriteMode TIME_ARR

#### OBJECT_ARR

    public static final BinaryWriteMode OBJECT_ARR

#### COL

    public static final BinaryWriteMode COL

#### MAP

    public static final BinaryWriteMode MAP

#### BINARY_OBJ

    public static final BinaryWriteMode BINARY_OBJ

#### ENUM

    public static final BinaryWriteMode ENUM

#### BINARY_ENUM

    public static final BinaryWriteMode BINARY_ENUM

Binary enum.

#### ENUM_ARR

    public static final BinaryWriteMode ENUM_ARR

#### CLASS

    public static final BinaryWriteMode CLASS

#### PROXY

    public static final BinaryWriteMode PROXY

#### BINARY

    public static final BinaryWriteMode BINARY

#### OBJECT

    public static final BinaryWriteMode OBJECT

#### OPTIMIZED

    public static final BinaryWriteMode OPTIMIZED

#### EXCLUSION

    public static final BinaryWriteMode EXCLUSION

### Method Detail

#### values

    public static BinaryWriteMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BinaryWriteMode c : BinaryWriteMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BinaryWriteMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### typeId

    public int typeId()

Returns:
  Type ID.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018